#
# spec file for package cglib-nohook (Version 2.1.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define section free
%define uscver 2.1_3

%define realname cglib

Summary:        Cglib without aspectwerkz hook

Name:           cglib-nohook
Version:        2.1.3
Release:        8.7.1
%define jpp_release 4
License:        The Apache Software License
Url:            http://cglib.sourceforge.net/
Group:          Development/Libraries/Java
Source0:        cglib-src-2.1_3.jar
Source1:        cglib-missing-words.txt
Patch0:         cglib-2.1.3-build_xml.patch
# FIXME
# Testcase "testFailOnMemoryLeak" fails with java-1.4.2-bea-1.4.2.08-2jpp
# producing a LinkageError. 
# Testcase "testRegisterCallbacks" also fails.
# java-1.4.2-sun-1.4.2.10-1jpp and # java-1.4.2-ibm-1.4.2.3-1jpp don't
Patch2:         cglib-2.1.3-TestEnhancer.patch
Source2:        cglib-component-info.xml
BuildRequires:  jpackage-utils >= 1.6
BuildRequires:  ant >= 1.6
BuildRequires:  ant-junit >= 1.6
BuildRequires:  jarjar
BuildRequires:  junit
BuildRequires:  asm  >= 1.5.3
BuildRequires:  asm2
%if 0%{suse_version}
BuildRequires:  unzip
BuildRequires:  java-devel
%endif
Requires:       asm >= 1.5.3
Provides:       %{realname} = %{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Cglib without aspectwerkz hook.



%prep
%setup -T -c -n %{realname}
unzip -q %{SOURCE0}
# remove all binary libs
for f in $(find . -name "*.jar"); do mv $f $f.no; done
( cat << EO_JP
grant codeBase "file:/-"{
  permission java.security.AllPermission;
};
EO_JP
) > java.policy
# add missing test input file
cp %{SOURCE1} src/test/net/sf/cglib/util/words.txt

rm src/proxy/net/sf/cglib/transform/hook/*
rm src/test/net/sf/cglib/transform/hook/*

%patch0 -b .sav
#test
%patch2 -b .sav

%build
build-jar-repository -s -p lib \
ant \
asm/asm-attrs \
asm/asm \
asm2/asm2 \
asm/asm-util \
jarjar \
junit 

export CLASSPATH=
export OPT_JAR_LIST=:
ant jar javadoc

cp dist/%{realname}-%{uscver}.jar dist/%{realname}-nohook-%{uscver}.jar

%install
rm -rf $RPM_BUILD_ROOT

# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/%{realname}-nohook-%{uscver}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{realname}-nohook-%{version}.jar
# avoid conflicts between cglib and cglib-nohook
cp -p dist/%{realname}-nodep-%{uscver}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{realname}-nohook-nodep-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
ln -sf %{_javadir}/cglib-nohook-nodep.jar $RPM_BUILD_ROOT%{_javadir}/%{realname}-nodep.jar
ln -sf %{_javadir}/cglib-nohook.jar $RPM_BUILD_ROOT%{_javadir}/%{realname}.jar

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(0644,root,root,0755)
%doc LICENSE
%{_javadir}/%{realname}-nohook-%{version}.jar
%{_javadir}/%{realname}-nohook.jar
%{_javadir}/%{realname}-nohook-nodep*.jar
%{_javadir}/%{realname}-nodep.jar
%{_javadir}/%{realname}.jar

%changelog
* Wed Dec 22 2010 mc@suse.de
- initial release
